function E0090()
    MNA()CMU("CS_Escape")FAI(0)
end
function E0091()
    MNA()CMU("CS_Escape")FAI(1)
end
function E0092()
    MNA()CMU("CS_Escape")FAI(2)
end
function E0093()
    MNA()CMU("CS_Escape")FAI(3)
end
function E0094()
    MNA()CMU("CS_Escape")FAI(4)
end

function GoFortress()
    PRI()FAO(3)TRA("CS_fortress","E0091",48,38)
end

function GoFortressUnderground()
    PRI()FAO(1)TRA("CS_fortress_underground","E0093",0,5,1,7)
end

function RoomCrash()
    KEY()
    DNP("RoomCrash")
    MOV(PLY())
    MM0()
    WAS()
    WAI(16)
    --石块下落，堵住了前进的路
    SNP("CS_fallblock",31,-2,0,"mainLayer","FallBlock1")
    WAI(40)
    SNP("CS_fallblock",7,-2,0,"mainLayer","FallBlock2")
    WAI(40)
    ANP("FallBlock1",0,1)--固定
    WAI(40)
    ANP("FallBlock2",0,1)--固定
    WAI(64)
    SLR(0,PLY())
    WAI(32)
    SLR(1,PLY())
    WAI(32)
    MS4("This is bad,")NOD()
    CAT("\nBoth the way forward")
    CAT("\nand the way back are blocked...")NOD()CLR()
    CAT("\nWhat should I do?")NOD()CLO()
    WAI(32)
    --掉落牵引绳
    SNP("pe_smog",29,6,0,"mainLayer","null")
    CNP("SparkItem_TowRope","CS_sparkitem",0)
end

function SparkItem_TowRope()
    PRI()
    MS4("\nThis is a tow rope...")NOD()CLR()
    ITP("TowRope")
    GIT("TowRope")
    SOU("CS_038_get_item")
    DNP("SparkItem_TowRope")
    FLP("SparkItem_TowRope")
    CMU("CS_Fanfale1")
    CAT("\nObtained =TOW ROPE=.")WAI(160)NOD()
    RMU()
    CLR()CAT("If I replace the fishing line with this,")NOD()
    CAT("\nI can reach higher places,")NOD()
    CAT("\nand see more paths ahead.")NOD()CLR()
    CAT("\nGained the =GRAPPLING HOOK= ability.")NOD()
    AMC("grappling_hook","CS_mychar_kanpa")
    CMP("cmpLayer_1","mainLayer","CS_pe_smoke")
end